=== debian/changelog ===
ros-kinetic-octomap-rviz-plugins (0.2.0-0xenial) xenial; urgency=high

  * Fix: RViz uses Qt5 in kinetic
  * Contributors: Armin Hornung

 -- Armin Hornung <armin@hornung.io>  Sat, 09 Jul 2016 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.1.0-0xenial) xenial; urgency=high

  * Remove -ldefault_plugin from linker options, fixes #19 <https://github.com/OctoMap/octomap_rviz_plugins/issues/19>
  * Support for displaying ColorOcTree and OcTreeStamped, templated rviz plugins
  * Trim Z values in the octomap visualization
  * Add alpha property to OccupancyGridDisplay
  * add fix for qt moc BOOST_JOIN problem for osx yosemite build
  * Contributors: Armin Hornung, Felix Endres, Gautham Manoharan, Javier V. Gómez, Oleksandr Lavrushchenko, Ryohei Ueda

 -- Armin Hornung <armin@hornung.io>  Wed, 06 Jul 2016 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.0.5-0xenial) xenial; urgency=high

  * fix a crash when the destructor is called before onInitialize
  * Fix descriptions, limit octree depth range
  * Porting fixes from groovy branch (QT4_WRAP macro, OCTOMAP_INCLUDE_DIRS)

 -- Armin Hornung <armin@hornung.io>  Thu, 05 Sep 2013 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.0.4-0xenial) xenial; urgency=high

  * Safer checking for octree conversion from stream
  * Create octomap using AbstracOcTree (Fix issue #1)

 -- Armin Hornung <armin@hornung.io>  Thu, 04 Jul 2013 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.0.3-0xenial) xenial; urgency=high

  * correct CMakeLists. octomap_INCLUDE_DIRS(or LIB..) to OCTOMAP_INCLUDE_DIRS

 -- Armin Hornung <armin@hornung.io>  Tue, 25 Jun 2013 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.0.2-0xenial) xenial; urgency=high

  * 0.0.1 -> 0.0.2
  * adding OPTIONS -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED option to make QT4_WRAP macro happy

 -- Armin Hornung <armin@hornung.io>  Tue, 07 May 2013 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.0.1-0xenial) xenial; urgency=high

  * removing dependency to octomap_ros package + clean-up
  * removing rosbuild Makefile
  * major revision
  * adjusting to recent rviz api changes
  * removed pcl dependancy
  * fixed threading issue
  * working version with ogre point cloud structures and colored boxes
  * added max depth filter

 -- Armin Hornung <armin@hornung.io>  Fri, 03 May 2013 22:00:00 -0000
